<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SpaceFighter2020: src/Menu.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SpaceFighter2020
   </div>
   <div id="projectbrief">This documentation reffers to the game Space Fighter 2020 created for pa2 course. Game is side-scrolling shooter where the goal is to get on the end of the level and kill as much as enemy ships as possible. Player can pick up bonuses for repairing point of health or upgrading his weapons.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Menu.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="Menu_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef Menu_H</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define Menu_H</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include&lt;string&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="classMenu.html">    9</a></span>&#160;<span class="keyword">class </span><a class="code" href="classMenu.html">Menu</a>{</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classMenu.html#a032165d0ada39bda2558e21241f2a965">StartMenu</a>();</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classMenu.html#acf52b48751de665f35f1aa73689d2365">CheckTerminal</a>();</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classMenu.html#a416cfe4b532ec381fe9c2acacf5e5805">CheckLevelName</a>(std::string fname)<span class="keyword">const</span>;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classMenu.html#a133f4680b8799854d6afc95a151d5e0e">PrintLevelNames</a>()<span class="keyword">const</span>;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classMenu.html#a59285d5038ddef45bdf3028c078cf32f">LoadLevel</a>(std::string fname);</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classMenu.html#a045e8ed6cd880bd752b3733368d2fa64">PrintIntro</a>()<span class="keyword">const</span>;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classMenu.html#a6052585ce7c5123300ca94ee52c8f711">PrintHelp</a>()<span class="keyword">const</span>;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classMenu.html#adc1aca5945149d6a9a8beb41fce44386">PrintTutorial</a>()<span class="keyword">const</span>;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;};</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160; </div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160; </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* Menu_H */</span><span class="preprocessor"></span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassMenu_html_a045e8ed6cd880bd752b3733368d2fa64"><div class="ttname"><a href="classMenu.html#a045e8ed6cd880bd752b3733368d2fa64">Menu::PrintIntro</a></div><div class="ttdeci">void PrintIntro() const</div><div class="ttdef"><b>Definition:</b> Menu.cpp:113</div></div>
<div class="ttc" id="aclassMenu_html"><div class="ttname"><a href="classMenu.html">Menu</a></div><div class="ttdoc">Menu class for managing user input.</div><div class="ttdef"><b>Definition:</b> Menu.h:9</div></div>
<div class="ttc" id="aclassMenu_html_acf52b48751de665f35f1aa73689d2365"><div class="ttname"><a href="classMenu.html#acf52b48751de665f35f1aa73689d2365">Menu::CheckTerminal</a></div><div class="ttdeci">void CheckTerminal()</div><div class="ttdoc">Check if terminal is sufficient in size.</div><div class="ttdef"><b>Definition:</b> Menu.cpp:57</div></div>
<div class="ttc" id="aclassMenu_html_a032165d0ada39bda2558e21241f2a965"><div class="ttname"><a href="classMenu.html#a032165d0ada39bda2558e21241f2a965">Menu::StartMenu</a></div><div class="ttdeci">void StartMenu()</div><div class="ttdef"><b>Definition:</b> Menu.cpp:12</div></div>
<div class="ttc" id="aclassMenu_html_a416cfe4b532ec381fe9c2acacf5e5805"><div class="ttname"><a href="classMenu.html#a416cfe4b532ec381fe9c2acacf5e5805">Menu::CheckLevelName</a></div><div class="ttdeci">bool CheckLevelName(std::string fname) const</div><div class="ttdoc">Checks if level name is valid.</div><div class="ttdef"><b>Definition:</b> Menu.cpp:76</div></div>
<div class="ttc" id="aclassMenu_html_adc1aca5945149d6a9a8beb41fce44386"><div class="ttname"><a href="classMenu.html#adc1aca5945149d6a9a8beb41fce44386">Menu::PrintTutorial</a></div><div class="ttdeci">void PrintTutorial() const</div><div class="ttdoc">Prints basic tutorial.</div><div class="ttdef"><b>Definition:</b> Menu.cpp:129</div></div>
<div class="ttc" id="aclassMenu_html_a59285d5038ddef45bdf3028c078cf32f"><div class="ttname"><a href="classMenu.html#a59285d5038ddef45bdf3028c078cf32f">Menu::LoadLevel</a></div><div class="ttdeci">bool LoadLevel(std::string fname)</div><div class="ttdoc">Loads level by level name.</div><div class="ttdef"><b>Definition:</b> Menu.cpp:104</div></div>
<div class="ttc" id="aclassMenu_html_a6052585ce7c5123300ca94ee52c8f711"><div class="ttname"><a href="classMenu.html#a6052585ce7c5123300ca94ee52c8f711">Menu::PrintHelp</a></div><div class="ttdeci">void PrintHelp() const</div><div class="ttdoc">Prints commands.</div><div class="ttdef"><b>Definition:</b> Menu.cpp:120</div></div>
<div class="ttc" id="aclassMenu_html_a133f4680b8799854d6afc95a151d5e0e"><div class="ttname"><a href="classMenu.html#a133f4680b8799854d6afc95a151d5e0e">Menu::PrintLevelNames</a></div><div class="ttdeci">void PrintLevelNames() const</div><div class="ttdoc">Prints name of levels insade map directory.</div><div class="ttdef"><b>Definition:</b> Menu.cpp:90</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
